Summary: A personal finance tracking and performance tool for X
Name: xinvest
Version: 2.5.1
Release: 6
Copyright: distributable
Group: Applications/Finance
Source0: ftp://ftp.x.org/contrib/applications/xinvest-2.5.1.tar.gz
Url: http://sunsite.auc.dk/xinvest/
Source1: xinvest.wmconfig
Patch0: xinvest-2.3.1-static.patch
Patch1: xinvest-2.3.1-xtrealloc.patch
BuildRoot: /var/tmp/xinvest-root
Requires: lesstif

%description
Allows user to track investments in one central database. Track 
the performance of your portfolio, plot trends, etc. Also includes
a financial calculator with many common finacial equations builtin.

%prep
%setup -q
%ifarch i386
#%patch0 -p1
%endif
#%patch1 -p1

%build 
xmkmf
make Makefile
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/Xinvest
find samples | cpio -pdmv $RPM_BUILD_ROOT/usr/lib/Xinvest

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES TODO
/usr/X11R6/bin/Xinvest
/usr/X11R6/lib/X11/app-defaults/Xinvest
/usr/lib/Xinvest

%changelog
* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Mon Feb  2 1998 Otto Hammersmith <otto@redhat.com>
- fixed wmconfig entry (call Xinvest, not xinvest)

* Thu Nov 20 1997 Otto Hammersmith <otto@redaht.com>
- added wmconfig entry

* Wed Nov 19 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- built against lesstif

* Mon Mar 17 1997 Michael Fulbright <msf@redhat.com>
- Added docs and sample files to file list.
- Fixed a error in the size of a malloc which causes seg faults.
